<?php
/**
 * file which generate main html output. Most likely this file should be in /inc/ and class shoud be named: PHTML...
 */

/**
 * generate xHTML code which is show on page
 */
class CHTML {

  /**
   * create a (x)HTML
   *
   */
  public function __construct() {
    CHTML::validate();
    CHTML::head();
    CHTML::body();
    CHTML::menuTop();
    CHTML::menuLeft();
    CHTML::page();
    CHTML::footer();
    }

  /**
   * validate, that browser support XHTML+XML header and send correct header
   *
   */
  private function validate() { // validate, that browser support XHTML+XML header and send correct header
    /*if (stristr($_SERVER['HTTP_ACCEPT'], "application/xhtml+xml")) {
      header("Content-Type: application/xhtml+xml; charset=utf-8");
      $pom = '<?xml version="1.0" encoding="UTF-8"?>';
      }
    else {
      header("Content-Type: text/html; charset=utf-8"); // send bad header for e.g. IE
      }*/
    echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';
    echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">';
    }

  /**
   * Show HEAD tags and all which head shloud contain :-)
   *
   */
  private function head() {
    echo "
      <head>
      <title>
      ";
    if(isset($_GET['title'])) {echo $_GET["title"]." | ";} else {echo "Skupina 35 | STAG OOP | ";}
    echo '
        http://stag-portal.it</title>
        <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
        <meta http-equiv="Content-Language" content="cs" />
        <meta name="author" content="Trakal, Gajzler and Sonsky" />
        <meta name="keywords" content="STAG" />
        <meta name="description" content="The best of STAG agenda" />
        <meta name="robots" content="all,follow" />
        <link rel="alternate" type="application/rss+xml" title="RSS" href="/rss.xml" />
        <link rel="stylesheet" href="/css/screen.css" type="text/css" media="screen" />
        <!-- not implemented <link rel="stylesheet" href="/css/print.css" type="text/css" media="print" /> -->
      </head>
      ';
    }

  /**
   * Write start body tag and picture on all pages and continue show TopMenu
   *
   */
  private function body() {
    echo "<body>";
    echo '<div id="main">';
    echo '<a href="/"><img src="/img/top_logo.png" alt="STAG" /></a>';
  }
  
  /**
   * Show top menu
   *
   */
  private function menuTop() {
    echo '    <div id="top_menu">';
    CMenu::menuTop(); //show different menu about User is/not logged
    echo '    </div><!-- top_menu -->';
    }

  /**
   * Show menu on left side. This menu is different about User rights
   *
   */
  private function menuLeft() {
    echo '    <div id="left_menu">';
    CMenu::menuLeft(); // show menu about Group Policy
    echo '    </div><!-- left_menu -->';
    }

  /**
   * Show page
   *
   */
  private function page() {
    global $inc_page_top; // I dont know how to send from parent $parent->inc_page_top; didnt run
    echo '    <div id="page">';
    if(!empty($inc_page_top)) { echo $inc_page_top; } else {
      if((isset($_GET['group'])) && isset($_GET['id'])) {
        CHTML::id2showpage(); // convert ID to show page
        }
      else {
        if((isset($_SESSION['fatalError'])) && (isset($_GET['fatalerror']))) {CException::showError();} // print fatal error if is generate
        PMainPage::pMainShow();
        //PZvatlej::zvatlej(2); //nažvatlá blábolový texty, aby byl delší odstavec :-)
        }
      }
    echo "\n    </div><!-- page -->";
  }

  /**
   * Convert $_GET[id] do php code which show this page
   *
   */
  private function id2showpage() {
/*
      try {
        if (function_exists('P'.$_GET['group'].'::pShow'.$_GET['id'])) {
*/
          eval('P'.$_GET['group'].'::pShow'.$_GET['id'].'();');
/*
          }
        else throw new Exception('P'.$_GET['group'].'::pShow'.$_GET['id'].'();');
        }
      catch (Exception $e) {
        require_once "./classes/exception.php";
        $error = new CException($e);
        }
*/
    }

  /**
   * Show bottom part of STAG application
   */
  public function footer() {
    echo '  </div><!-- main -->';
    echo '  <div id="bottom"><a onclick="return !window.open(this.href)" href="http://blog.trtkal.net">&copy;&nbsp;Trtkal</a>&nbsp;2008|&nbsp;spolupráce&nbsp;<a onclick="return !window.open(this.href)" href="http://shawn.cz">&nbsp;ShaWn</a>&nbsp;a&nbsp;Štěpas<br /><a onclick="return !window.open(this.href)" href="http://localhost/apache/phpmyadmin/">phpMyAdmin</a></div>';
    echo ' </body>';
    echo '</html>';
    }
  }
?>