<?php
/**
 * File where is class for login/logout users, show users policy, etc.
 *
 */

/**
 * classes for login/logout users, show users policy, etc.
 */
class CLogin { // validate user, session, etc.
  private $row;
  private $username;
  private $password;

  /**
   * this class connect to DB vali d username and return BOOLEAN which user is authorized
   *
   * @param string $username Name of logged user
   * @param string $password Password of logged user
   * @return BOOLEAN true if user is logged
   */
  public function __construct($username, $password) { // user login to STAG
    sql::__construct(); // connect to database

      // for authentic what crawl to query
      // echo "SELECT * FROM ".db_table."users WHERE username='".$this->username."' AND password='".$this->password."'<br/>\n";

    $this->username = $username;
    $this->password = md5($password);

    $this->res = sql::select("users", "username='".$this->username."' AND password='".$this->password."'"); // request for authorized user //
    $this->row = sql::fetch_array(); // chop database result to rows
    $this->row = $this->row[0];

    if($this->res) {
      if(sql::num_rows() == 1) {
        if(($this->row['username']==$this->username) AND ($this->row['password']==$this->password)) {
          $row = $this->row; // put row to CLASS private variable
          session_register('id'); $_SESSION['id']=CLogin::info('id');
          session_register('authorized'); $_SESSION['authorized']=CLogin::info('username');
          session_register('username'); $_SESSION['username']=CLogin::info('username');
          session_register('firstname'); $_SESSION['firstname']=CLogin::info('firstname');
          session_register('lastname'); $_SESSION['lastname']=CLogin::info('lastname');
          session_register('password'); $_SESSION['password']=CLogin::info('password');
          session_register('email'); $_SESSION['email']=CLogin::info('email');
          session_register('policy'); $_SESSION['policy']=CLogin::info('sec_policy');
          session_register('degree'); $_SESSION['degree']=CLogin::policy();
          return 1;
          }
        else {
          return 0;
          }
      }
      }
    }

  /**
   * used for getting information about user from DB row
   *
   * usable only when user is logged
   * @param string $info
   * @return string with information
   */
  public function info($info) {
    $this->info = $info;
    return $this->row[$this->info];
    }
    
  /**
   * @return string named value of policy from number value
   *
   */
  public function policy() {
    switch ($this->row['sec_policy']) {
      case 0: return "Student"; break;
      case 1: return "Učitel"; break;
      case 2: return "Administrátor"; break;
      default: return "Hacker :/"; break;
      }
    }

  /**
   * @return string named value of policy from number value
   *
   */
  public function getPolicy($data) {
    $this->data = $data;
    switch ($this->data) {
      case 0: return "Student"; break;
      case 1: return "Učitel"; break;
      case 2: return "Administrátor"; break;
      default: return "Hacker :/"; break;
      }
    }

  /**
   * @return string for address bar by policy
   *
   */
  public function link_policy() {
    switch ($this->row['sec_policy']) {
      case 0: return "students"; break;
      case 1: return "teachers"; break;
      case 2: return "admins"; break;
      }
    }

  /**
   * validate user. User is valid
   *
   * returned value:
   *                - 1: user is validate
   *                - 0: user is not valid
   * @return BOOLEAN true if user is authorized
   */
  public function authorized() { // is user logged? BOOLEAN
    if(isset($_SESSION['authorized'])) {
      return 1;
      } else {
        return 0;
        }
    }

  /**
   * destroy session - logged out current user
   */
  public function user_logout() {
    if($_SESSION['authorized']) {
      $_SESSION = array();
      // header ("Location: ./"); // could be there, but it disn't show after 'Success logout' on mainpage ;)
      }
    session_destroy();
    }
  }
?>