<?php
/**
 * File which include class for administrator functions
 */


class CTeacher extends CStudent {
  private $password;

  /**
   * Do nothing
   */
  function __construct() {}

  /**
   * create a user in DB
   *
   * @param string $username is nickname of new user
   * @param string $firstname is firstname of user
   * @param string $lastname is lastname of new user
   * @param string $email is email of new user
   * @param byte $policy
   * choises:
   * - 0 for student
   * - 1 for teacher
   * - 2 for administrator
   *
   */
  public function users_add($username, $firstname, $lastname, $email, $policy) {
    $this->username = $username;
    $this->firstname = $firstname;
    $this->lastname = $lastname;
    $this->email = $email;
    $this->policy = $policy;

    $this->password = 'x'.rand(10000,99999); // genetare random password
    echo "Uživatelovo dočasné heslo je: ".$this->password; // write this password to screen. I know it shouldn't be there :), but I'm lazy
    sql::__construct();
    sql::insert('users', "NULL, '".$this->username."','".md5($this->password)."','".$this->firstname."','".$this->lastname."','".$this->email."','".$this->policy."','0'");
    }

  /**
   * show students
   *
   * @param array $array array of users for print to page
   * create a table from all students in class. Array with choise for to write credit and exam
   * print table on screen, rather should be in PTeacher
   */
  public function students_show($array) {
    echo '<table><tr><td>ID:</td><td>Jméno:</td><td>Příjmení:</td><td>email:</td><td></td></tr>';
    foreach($array as $this->pom_array) {
      echo '<tr><td>'.$this->pom_array['username'].'</td><td>'.$this->pom_array['firstname'].'</td><td>'.$this->pom_array['lastname'].'</td><td>'.$this->pom_array['email'].'</td><td><input type="button" name="'.$this->pom_array['id'].'" value="Zápočet" /><input type="button" name="'.$this->pom_array['id'].'" value="Zkouška" /></td>';
      }
    echo '</table>';
    }

  /**
   * generate array of all users in database
   *
   * @return array users in database
   */
  public function showStudents() {
    sql::__construct();
    sql::select('users', '(sec_policy = 1)');
    return sql::fetch_array();
    }

  /**
   * add time for credit, curent teacher and him subject
   *
   * @param string $lastname teacher name
   * @param integer $hour hour of the start credit
   * @param integer $day day of the start credit
   * @param integer $month month of the start credit
   * @param string $class class where credit will be
   */
  public function credit_add($lastname, $hour, $day, $month, $class) {
    $this->lastname = $lastname;
    $this->hour = $hour;
    $this->day = $day;
    $this->month = $month;
    $this->class = $class;
    sql::__construct();
    sql::query("UPDATE `".db_table."subjects` SET `credit` = '".date("Y")."-".$this->month."-".$this->day." ".$this->hour.":00:00' WHERE `leader` ='".$_SESSION['id']."' LIMIT 1;");
    }

  /**
   * add time for exam, curent teacher and him subject
   *
   * @param string $lastname teacher name
   * @param integer $hour hour of the start exam
   * @param integer $day day of the start exam
   * @param integer $month month of the start exam
   * @param string $class class where exam will be
   */
  public function exam_add($lastname, $hour, $day, $month, $class) {
    $this->lastname = $lastname;
    $this->hour = $hour;
    $this->day = $day;
    $this->month = $month;
    $this->class = $class;
    sql::__construct();
    sql::query("UPDATE `".db_table."subjects` SET `exam` = '".date("Y")."-".$this->month."-".$this->day." ".$this->hour.":00:00' WHERE `leader`='".$_SESSION['id']."' LIMIT 1;");
    }
  }
?>