<?php
/**
 * file contained class which provide all operation over database
 */
 
class sql { // class for work with MySQL database
  protected $server;
  protected $username;
  protected $password;
  private $database;
  private $table;
  private $connection;
  public $query;

  /**
   * connect to DB, open table save info to $connection
   *
   * @param string $server server adress (not necessary - readed from {@link config.php} file)
   * @param string $username login name to database (not necessary - readed from {@link config.php} file)
   * @param string $password login password to database (not necessary - readed from {@link config.php} file)
   * @param string $database database table name (not necessary - readed from {@link config.php} file)
   * default you can call only sql::__construct();
   */
  public function __construct($server=db_server, $username=db_user, $password=db_pass, $database=db) {
    $sql->server = $server;
    $sql->username = $username;
    $sql->password = $password;
    $sql->database = $database;
    $this->connection = @mysql_connect($sql->server, $sql->username, $sql->password); // create sql connection
    if(!$this->connection) { throw new Exception('Nepovedlo se navazat spojeni s databazi. Problem neni na vasi strane.');}

    if($this->connection) { // if is connection to database server try select database
      $this->sql_db = @mysql_select_db($sql->database, $this->connection); // select database
      if(!$this->sql_db) {throw new Exception("Nepodarilo se napojit na databazi. Problem neni na vasi strane.");}
      mysql_query("SET NAMES 'utf8'");
      }
    }

  /**
   * send query to database, return data
   *
   * @param SQL $query mysql query
   * $return resource $this->result
   */
  public function query($query){
    $this->query = $query;
    $this->result = mysql_query($this->query, $this->connection); // save result from database to query
    return $this->result;
    }

  /**
   * chop database result to rows, return array
   * @return array from mysql database when no data return FALSE
   */
  public function fetch_array(){
   $i = 0;
    while ($this->line = mysql_fetch_array($this->result)) {
      $this->pom[$i] = $this->line;
      $i++;
      }
    unset($i);
    return $this->pom;
    }

  /**
   * @return integer number of rows
   */
  public function num_rows(){
      return mysql_num_rows($this->result);
    }

  /**
   * inserting data into database insert_into('table', 'values')
   *
   * @param string $table table where will be included data
   * @param string $value value which will be included into database
   * return BOOLEAN
   */
  public function insert($table, $value) {
    $this->table = $table;
    $this->value = $value;
    $this->result = sql::query("INSERT INTO ".db_table.$this->table." VALUES (".$this->value.")"); // send request for inserting data do DB
    if(!empty($this->result)) { return 1; } else { return 0; }
    }

  /**
   * update database table about ID update(table, ID, column, value)
   *
   * @param string $table table where will be included data
   * @param integer $id unique value of edited row in table
   * @param string $value value which will be included into database
   * @return BOOLEAN true when update was successful
   */
  public function update($table, $id,  $value) {
    $this->table = $table;
    $this->id = $id;
    $this->value = $value;
    $this->result = sql::query("UPDATE ".db_table.$this->table." SET ".$this->value." WHERE `id`=".$this->id); // send request for inser data do DB
    if(!empty($this->result)) { return 1; } else { return 0; }
    }

  /**
   * select database about ID. delete(table, complete query), return BOOLEAN
   *
   * @param string $table table with which is working
   * @param string $value value which will be readed from database (not necessary needed - default all data)
   * @param string $what select column which want get from table
   * @return BOOLEAN true when select have some value
   */
  public function select($table, $value='*', $what='*') {
    $this->table = $table;
    $this->value = $value;
    $this->what = $what;
    $this->result = sql::query("SELECT ".$this->what." FROM ".db_table.$this->table." WHERE ".$this->value); // send request for deleting row from DB
    if(!empty($this->result)) { return 1; } else { return 0; }
    }

  /**
   * delete database about ID. delete(table, ID), return BOOLEAN
   *
   * @param string $table table with which is working
   * @param integer $id unique value of deleted row in table
   * @return BOOLEAN true when deleting was successful
   */
  public function delete($table, $id) {
    $this->table = $table;
    $this->id = $id;
    $this->result = sql::query("DELETE FROM ".db_table.$this->table." WHERE id='".$this->id."'"); // send request for deleting row from DB
    if(!empty($this->result)) { return 1; } else { return 0; }
    }
  public function close(){
      mysql_close($this->connection);
    }

  /**
   * close MySQL connection
   */
  public function __destruct(){
    // mysql_free_result($this->result); // nějak to nešlape
    if($this->connection) {
      mysql_close($this->connection);
      }
    }
  }
?>