<?php
/**
 * Function __autoload is called automatically in PHP5 for find undefined classes
 *
 * THIS FILE IS BASED ON KARLÍK FILES, THX TO HIM SO MUCH FOR THIS FUNCTION (I didn't know this function before)
 */

/**
 * load automaticaly classes from files
 *
 * <p>This global function is called whenever you try to create an object of a class that hasn't been defined.
 * It takes just one parameter, which is the name of the class you have not defined.
 * If you define an object as being from a class that PHP does not recognise, PHP will run this function,
 * then try to re-create the object - you have a second chance to have the right class</p>
 * @param string $className Name of autoloaded class
 */
function __autoload($className) {
  try {
  if (mb_substr(strtolower($className), 0, 1) == 'p') { // choose directory (included page files / included classes)
    $classPath = './inc/';
    }
  else {
    $classPath = './classes/';
    }
    
	if (file_exists($classPath.strtolower($className).'.php')) {
    @require_once($classPath.strtolower($className).'.php');
    }
  else {
    throw new Exception($className);
    }
  }
  catch (Exception $e) {
    require_once "./classes/exception.php";
    $error = new CException($e);
    }
  }
?>
