<?php
/**
 * Page class About - information about STAG
 *
 */

/**
 * show page with information aout STAG
 *
 */
  class PAbout {
    /**
     * generate output
     *
     */
    public static function pShowAbout() {
      echo "
        <h1>O aplikaci</h1>
        <h2>Uživatelská dokumentace</h2>
        <p>Tato dokumentace není moc rozsáhlá, jelikož rozdělení nabídek a popsání akcí je myslím docela intuitivní a zvládne ho i jakýkoli uživatel při první návštěvě této webové skoro aplikace.</p>
        <p>Hlavní stránka nabízí jednoduché ovládací rozhraní. Vlevo najdete menu, které dává na výběr z několika základních možností pro nepřihlášeného uživatele, jako je prohlížení dokumentací a informací o autorech. V horní části pod logem STAG se nachází kolonky pro přihlášení uživatele, v závislosti na jejich právech je rozdělujeme na následující typy.</p>
        <h3>Obyčejný nepřihlášený uživatel</h3>
        <p>Tento uživatel nemá žádná práva a tedy nemůže se stagem provádět téměř nic. Z důvodu zjednosušení práce nemá možnost vůbec pracovat se záznamy v databázi a tak se může dostat pouze do nápovědy a do infromací o STAGu, případně si prohlédnout programátorskou dokumentaci a jak ji generovat.</p>
        <h3>Přihlášený student</h3>
        <p>Přihlášený student si může prohlížet informace o sobě, měnit tyto údaje, zapisovat se do předmětu a dále si zapisovat termíny zápočtů/zkoušek. Aktuálně nejsou dokončeny dotazy a výpisy z databáze, což je z hlediska OOP vedlejší záležitost (ovšem funkčnosti to rozhodně moc nepřidává :().</p>
        <h3>Přihlášený vyučující</h3>
        <p>Vyučující má možnost vytvářět třídy, vypisovat termíny zápočtů/zkoušek a následně je zapisovat, vyhodit studenta ze školy (ano mělo by být spíše u administrátora, ale aby bylo nějak trošku rozvrstveno, je to u vyučujícího). Dále má všechny možnosti co student, jelikož může vstoupit i do studentského nastavení, pouze změny provádí na sobě. Může tedy i sám sebe např. zapsat na předmět, který sám vypsal.</p>
        <h3>Přihlášený administrátor</h3>
        <p>Administrátor má všechny pravomoci co student a učitel (může využívat jejich menu v horní části obrazovky) a přidává svoje vlastní funkce. Převážně se jedná o vytváření uživatelů, přidělování práv a vytváření předmětů.</p>
        ";
      }

    /**
     * print to screen info about authors
     */
    public static function pShowAuthors() {
      echo '
        <h1>Autoři</h1>
        <ul id="authors">
          <li><strong>Matěj Trakal</strong> - vzhled (photoshop + CSS), PHP (OOP i nonOOP), (x)HTML, UML a State diagramy, dokumentace, texty webu,propojení s MySQL</li>
          <li><strong>Štěpán Šonský</strong> - vzhled loga (photoshop), PowerPoint prezentace</li>
          <li><strong>Štěpán Gajzler</strong> - psychická podpora :)</li>
        </ul>
        ';
      }
    }
?>