<?php
/**
 * Install.php
 *
 * This file create needed tables in database. You must first edit database settings in  {@link config.php}
 */

/**
 * Load configuration file
 *
 */
require_once "./classes/config.php";

/**
 * Load file with SQL class
 */
require_once "./classes/sql.php";

/**
 * create a MySQL connection
 */
$sql = new sql(db_server, db_user, db_pass, db);

/**
 * Call a request to database and input tables
 *
 */
if($sql->query(
  "CREATE TABLE IF NOT EXISTS ".db_table."users
       (
         id INT AUTO_INCREMENT PRIMARY KEY,
         username VARCHAR(30),
         password VARCHAR(32),
         firstname VARCHAR(30),
         lastname VARCHAR(30),
         email VARCHAR(150),
         sec_policy TINYINT(1),
         first_login TINYINT(1) NOT NULL DEFAULT '1'
    )  CHARACTER SET utf8 COLLATE utf8_czech_ci")
  ) {
    echo "Tabulka uivatel: OK";
    }
  else {
    echo "Tabulka uivatel: <strong>FAIL<strong>.<br> \n";
    }

if($sql->query(
  "CREATE TABLE IF NOT EXISTS ".db_table."subjects
       (
         id INT AUTO_INCREMENT PRIMARY KEY,
         short VARCHAR(10),
         name VARCHAR(30),
         students INT DEFAULT NULL,
         credit DATETIME DEFAULT NULL,
         exam DATETIME DEFAULT NULL,
         leader VARCHAR(30)
    )  CHARACTER SET utf8 COLLATE utf8_czech_ci")
  ) {
    echo "Tabulka pedmt: OK";
    }
  else {
    echo "Tabulka pedmt: <strong>FAIL<strong>.<br> \n";
    }

if($sql->query("INSERT INTO ".db_table."users VALUES (NULL, 'admin', '".md5('stagheslo1')."', 'admin', 'stagu', NULL, '2', '1')")) {
  echo "Pidn et administrtora: OK";
  }
else {
  echo  "<strong>Pidn et administrtora: CHYBA</strong><br />\n";
  }
?>
