<?php
/**
 * File which include class for administrator functions
 */


class CAdmin extends CTeacher {
  private $password;
  private $pom_array;

  /**
   * Do nothing
   */
  function __construct() {}

  /**
   * create a user in DB
   *
   * @param string $username is nickname of new user
   * @param string $firstname is firstname of user
   * @param string $lastname is lastname of new user
   * @param string $email is email of new user
   * @param byte $policy
   * choises:
   * - 0 for student
   * - 1 for teacher
   * - 2 for administrator
   *
   */
  public function users_add($username, $firstname, $lastname, $email, $policy) {
    global $inc_page_top;
    $this->username = $username;
    $this->firstname = $firstname;
    $this->lastname = $lastname;
    $this->email = $email;
    $this->policy = $policy;

    $this->password = 'x'.rand(10000,99999); // genetare random password
    $inc_page_top =  "Uživatelovo dočasné heslo je: ".$this->password; // write this password to screen. I know it shouldn't be there :), but I'm lazy
    sql::__construct();
    sql::insert('users', "NULL, '".$this->username."','".md5($this->password)."','".$this->firstname."','".$this->lastname."','".$this->email."','".$this->policy."','0'");
    }

  /**
   * edit details about user
   *
   * @param int $id autoincremented integer in database (unique int of DB table)
   * @param string $username is nickname of new user
   * @param string[32] $password 32 bytes MD5 hash of password
   * @param string $firstname is firstname of user
   * @param string $lastname is lastname of new user
   * @param string $email is email of new user
   * @param byte $policy
   * choises:
   * - 0 for student
   * - 1 for teacher
   * - 2 for administrator
   */
  public function edit_user($id, $username, $password, $firstname, $lastname, $email, $policy) {
    $this->id = $id;
    $this->username = $username;
    $this->password = $password;
    $this->firstname = $firstname;
    $this->lastname = $lastname;
    $this->email = $email;
    $this->policy = $policy;
    $this->firstrun = 0;
    if(isset($_POST['create_password'])) {
      $this->password = 'n'.rand(10000,99990); // N as NEW password
      echo "Uživatelovo dočasné heslo je: ".$this->password;
      $this->password = md5($this-->password);
      $this->firstrun = 1;
      }
    sql::__construct();
    sql::update('users', $this->id."', '".$this->username."','".md5($this->password)."','".$this->firstname."','".$this->lastname."','".$this->email."','".$this->policy."','".$this->firstrun."'");
    sql::__destruct;
    }
    
  /**
   * manage users
   *
   * @param array $array array of users for print to page
   * create a table from all users in array with choise for generate new password and dismiss anybody from school :)
   */
  public function users_mngmnt($array) {
    echo '<table><tr><td>ID:</td><td>Jméno:</td><td>Příjmení:</td><td>email:</td><td>Oprávnění:</td><td></td></tr>';
    foreach($array as $this->pom_array) {
      echo '<tr><td>'.$this->pom_array['username'].'</td><td>'.$this->pom_array['firstname'].'</td><td>'.$this->pom_array['lastname'].'</td><td>'.$this->pom_array['email'].'</td><td>'.CLogin::getPolicy($this->pom_array['sec_policy']).'</td><td><input type="button" name="'.$this->pom_array['id'].'" value="Heslo" /><input type="button" name="'.$this->pom_array['id'].'" value="Vyhodit" /></td>';
      }
    echo '</table>';
    }


/**
   * @param array $students is array of students which have this subject writen
   * @param datetime $credit is date when will be credit
   * @param datetime $exam is date whne will be exam from this subject
*/
  /**
   * create new subject in dattabase
   *
   * @param string $short is "nickname" of subject
   * @param string $name is name of new Subject
   * @param string(30) $leader is name of leader this subject
   */
  public function subj_add($short, $name, $leader) {
    $this->short = $short;
    $this->name = $name;
    $this->leader = $leader;

    sql::__construct();
    sql::insert('subjects', "NULL, '".$this->short."', '".$this->name."', NULL, NULL, NULL, '".$this->leader."'");
    }

  /**
   * generate array of all users in database
   *
   * @return array of users in database
   */
  public function showUsers() {
    sql::__construct();
    sql::select('users','1');

    return sql::fetch_array();
    }
  }
?>