<?php
/**
 * File contained class which switch actions basely GET data
 *
 */
 
/**
 * Initialize which action should be doing
 *
 */
class CInit {
  /**
   * Get current action
   *
   */
  public function __construct() {
    global $inc_page_top; // původně jsem chtěl předávat jako $parent->inc_page_top, ale jaksi to nic nepředávalo, tak nastoupila globální proměnná
    switch ($_GET['action']) {
      case 'login':
        CLogin::__construct($_POST['username'], $_POST['password']);
        if(CLogin::authorized()) { header("Location: /".CLogin::link_policy()."/");} // redirect to true page of administration
        break;
      case 'logout':
        CLogin::user_logout();
        break;
      case 'users_add':
        CAdmin::users_add($_POST['username'], $_POST['firstname'], $_POST['lastname'], $_POST['email'], $_POST['policy']);
        break;
      case 'subj_add':
        CAdmin::subj_add($_POST['short'], $_POST['name'], $_POST['leader']);
        break;
      case 'info_edit':
        CStudent::edit_user($_SESSION['id'],$_POST['username'],$_SESSION['password'], $_POST['firstname'], $_POST['lastname'],$_POST['email'], $_SESSION['policy']);
        break;
      case 'credit_add':
        CTeacher::credit_add($_SESSION['lastname'], $_POST['hour'], $_POST['day'], $_POST['month'], $_POST['class']);
        break;
      case 'exam_add':
        CTeacher::exam_add($_SESSION['lastname'], $_POST['hour'], $_POST['day'], $_POST['month'], $_POST['class']);
        break;
      default:
        return $inc_page_top = "<h2>Tato akce není podporována</h2>";
        break;
      }
    }
  }

?>