<?php
/**
 * file contain class which generate menus
 */
 
/**
 * class which show parts of menu to screen
 */
class PShowMenu {
  /**
   * generate left menu for students
   */
  public static function left_student() { // show left menu for student
    echo '
      <ul>
        <li><strong>Informace</strong>
          <ul>
            <li><a href="/students/info">O sobě</a></li>
            <li><a href="/students/info_edit">Změnit</a></li>
          </ul>
        </li>
        <li><strong>Předměty</strong>
          <ul>
            <li><a href="/students/classes_edit">Zapsat/Odepsat</a></li>
          </ul>
        </li>
        <li><strong>Zkoušky</strong>
          <ul>
            <li><a href="/students/exams_edit">Zapsat/Odepsat</a></li>
          </ul>
        </li>
      </ul>
      ';
    }

  /**
   * generate left menu for teachers
   */
  public static function left_teacher() { // show left menu for teacher
    echo '
      <ul>
        <li><strong>Zkoušku/zápočet</strong>
          <ul>
            <li><a href="/teachers/credit_add">vypsat zápočet</a></li>
            <li><a href="/teachers/exam_add">vypsat zkoušku</a></li>
          </ul>
        </li>
        <li><strong>Studenty</strong>
          <ul>
            <li><a href="/teachers/users_show">zobrazit</a></li>
            <li><a href="/teachers/exams">zapsat zápočty/zkoušky</a></li>
            <li><a href="/teachers/users_dismiss">vyhodit</a></li>
          </ul>
        </li>
        <li><strong>Třídu</strong>
          <ul>
            <li><a href="/teachers/classes_add">přidat</a></li>
            <li><a href="/teachers/classes_mngmnt">spravovat</a></li>
          </ul>
        </li>
      </ul>
      ';
    }

  /**
   * generate left menu for administrators
   */
  public static function left_admin() { // shwo left menu for admins
    echo '
      <ul>
        <li><strong>Uživatele</strong>
          <ul>
            <li><a href="/admins/users_add">přidat</a></li>
            <li><a href="/admins/users_mngmnt">spravovat</a></li>
          </ul>
        </li>
        <li><strong>Předměty</strong>
          <ul>
            <li><a href="/admins/subj_add">přidat</a></li>
            <li><a href="/admins/subj_mngmnt">spravovat</a></li>
          </ul>
        </li>
      </ul>
      ';
    }

  /**
   * show that Access denied
   */
  public static function deny() {
    echo '<ul><li><strong>Přístup zamítnut</strong></li></ul>';
    }

  /**
   * show information about logged user
   */
  public static function userID() {
    echo '
      <div id="user_id">
        <ul>
          <li>'.$_SESSION['degree'].'&nbsp;'.$_SESSION['username'].'</li>
          <li>'.$_SESSION['firstname'].'&nbsp;'.$_SESSION['lastname'].'</li>
          <li>'.$_SESSION['email'].'</li>
        </ul>
      </div><!-- user_id -->
      ';
    }

  /**
   * show menu for non-authorized users
   */
  public static function leftDefault() {
    echo '
      <ul>
        <li><a href="/">Úvodní stránka</a></li>
        <li><a href="/about/about" title="Zjednodušená uživatelská dokumentace">O aplikaci</a></li>
        <li><a href="/about/authors" title="Základní informace o autorech semestrální práce">O autorech</a></li>
        <li><a href="/files/" title="Ostatní sooubory, které mají co dočinění se semestrální prací">Dodatky</a></li>
        <li><a class="link_popup" onclick="return !window.open(this.href)" href="/docs/" title="Programátorská dokumentace v novém okně">Vývojářská dokumentace</a></li>
        <li><a onclick="return !window.open(this.href)" href="http://localhost/PhpDocumentor/docbuilder/builder.php?altuserdir=&amp;setting_useconfig=&amp;setting_filename=&amp;setting_directory=D%3A%5Cserver%5Cwebik%5Coop%5Csemestralka&amp;setting_ignore=&amp;setting_packageoutput=&amp;setting_target=D%3A%5Cserver%5Cwebik%5Coop%5Csemestralka%5Cdocs&amp;setting_output=HTML%3ASmarty%3APHP&amp;ConverterSetting=HTML%3ASmarty%3APHP&amp;setting_title=STAG&amp;setting_defaultpackagename=STAG+-+documentation&amp;setting_defaultcategoryname=&amp;setting_customtags=&amp;interface=web&amp;dataform=true" title="Vygeneruje vývojářskou dokumentaci, přístupné jen na notebooku M. Trakala">Generovat dokumentaci</a></li>
        <li><a onclick="return !window.open(this.href)" href="http://www.kiv.zcu.cz/~brada/vyuka/files/pia/ppp/phpdoc/10%20tagy.php" title="Návod, jak generovat dokumentaci za pomoví phpDocumentoru">Jak na dokumentaci</a></li>
      </ul>
      ';
    }

  /**
   * generate top menu when user is logged
   */
  public static function topMenu() {
    echo '
      <form class="right" action="'.$_SERVER[PHP_SELF].'?action=logout" method="post">
      <ul>
        <li><a href="/admins/">Administrátoři</a></li>
        <li><a href="/teachers/">Učitelé</a></li>
        <li><a href="/students/">Studenti</a></li>
        <li><input class="btn" type="submit" value="Odhlásit" /></li>
      </ul>
      </form>
      ';
    }

  /**
   * generate top menu for user login
   */
  public static function topLogin() {
    if((!CLogin::authorized()) AND ($_GET['action']=='login')) {$bad_login="<span>Špatný login!</span>";}; // if user type bad password or username show this message
    if((!CLogin::authorized()) AND ($_GET['action']=='logout')) {$bad_login="<span>Úspěšně odhlášen!</span>";}; // if user id logged out show this message

    if(!isset($_POST['username'])) {$username = 'username';} else {$username = $_POST['username'];}
    
    echo '
        <form class="left" action="'.$_SERVER[PHP_SELF].'?action=login" method="post">
          <div id="input">
            <input type="text" name="username" value="'.$username.'" onblur="setTimeout(\'closeResults()\',2000); if (this.value == \'\') {this.value = \'username\';}"  onfocus="if (this.value == \'username\') {this.value = \'\';}" />
            <input type="password" name="password" />
            <input class="btn" type="submit" value="Přihlásit" />
            '.$bad_login.'
          </div><!-- input -->
        </form>
      ';
    }
  }
?>
